/* eslint-disable camelcase */
<template>
  <!-- desktop -->
  <!-- <v-row v-if="!isMobile()"> -->
  <v-tabs
    v-model="tab"
    show-arrows
    background-color="grey pa-0 ma-0"
    class="pl-0"
    dark
    grow
    active-class="teal darken-3"
    slider-color="blue"
    :scrollable="false"
    @change="onTabChange"
  >
    <!-- <v-tabs-slider color="cyan darken-4"></v-tabs-slider> -->
    <v-tab
      v-for="(tab, idx) in tabs"
      :key="tab.index"
      :disabled="tab.disabled"
      ripple
      class="pa-0 ma-0"
      :class="tab.color"
    >
      <v-icon small>
        {{ tab.icon }}
      </v-icon>
      <div class="caption py-1">
        {{ tab.name }}
      </div>
    </v-tab>
    <v-tabs-items
      v-model="tab"
      touchless
      class="pa-0 ma-0"
    >
      <!-- TỔNG -->
      <v-tab-item class="tab-item-list_ip pl-3">
        <v-row>
          <v-col
            cols="12"
            class="d-inline-flex mb-2 pb-1 pt-1"
          >
            <v-checkbox
              v-model="bankChecked"
              value="HSBC"
              label="HSBC"
              color="red"
              class="pa-0 ma-0 ml-0 mt-3"
              hide-details
              @change="filterStatus()"
            />
            <v-checkbox
              v-model="bankChecked"
              label="SC BANK"
              value="SC BANK"
              color="red"
              class="pa-0 ma-0 ml-3 mt-3"
              hide-details
              @change="filterStatus()"
            />
            <v-checkbox
              v-model="bankChecked"
              label="CITI BANK"
              value="CITI BANK"
              color="red"
              class="pa-0 ma-0 ml-3 mt-3"
              hide-details
              @change="filterStatus()"
            />
          </v-col>
          <v-col
            cols="12"
            class="pl-3 mb-1"
          >
            <v-text-field
              v-model="search"
              label="Tìm kiếm"
              class="pa-0 ma-0 mt-0 mr-4"
              single-line
              hide-details=""
              @input="filterName()"
            />
          </v-col>
          <v-col
            cols="12"
            class="pl-4 pr-6 ver-scroll"
          >
            <swipe-list
              ref="list"
              class="card lst-items"
              :disabled="!enabled"
              :items="chiTieuList"
              item-key="id"
              scroll="true"
              @swipeout:click="itemClick"
            >
              <template
                v-slot="{ item, index, revealLeft, revealRight, close }"
              >
                <div class="card-content">
                  <v-row>
                    <v-col
                      cols="12"
                      md="12"
                      class="pt-1 pb-0 pr-6"
                    >
                      <v-row>
                        <v-col
                          cols="12"
                          md="12"
                          class="pr-1 pt-1 pb-1"
                        >
                          <!-- style content how ever you like -->
                          <a
                            href="/kinhte/chitieuPageDetail"
                            style="text-decoration: none;"
                          >
                            <h4>{{ item.noi_dung }}</h4>
                          </a>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="4"
                          class="pr-1 pb-0 pt-0"
                        >
                          <v-menu offset-y>
                            <template v-slot:activator="{ on, attrs }">
                              <v-btn
                                :color="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'error' : 'primary'"
                                dark
                                v-bind="attrs"
                                :class="'rounded-10 full-width mb-1 ' + item.bank_code"
                                height="20px"
                                width="100%"
                                v-on="on"
                              >
                                {{ item.bank_code }} - {{ item.ky_chi }}
                              </v-btn>
                            </template>
                            <v-list>
                              <v-list-item
                                v-for="(item1, index) in items_ky_chi"
                                :key="index"
                              >
                                <v-list-item-title @click="changeKyChi(item, item1)">
                                  {{ item1.title }}
                                </v-list-item-title>
                              </v-list-item>
                            </v-list>
                          </v-menu>
                        </v-col>
                        <v-col
                          cols="5"
                          class="pr-1 pb-0 pt-0 text-right"
                          :style="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'color: #FF0000' : ''"
                        >
                          <v-menu offset-y>
                            <template v-slot:activator="{ on, attrs }">
                              <v-btn
                                :color="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'error' : 'primary'"
                                dark
                                v-bind="attrs"
                                class="rounded-10"
                                height="20px"
                                width="100%"
                                v-on="on"
                              >
                                {{ stsThanhToan.filter(sts => sts.id == item.status_nm).pop().name }}
                              </v-btn>
                            </template>
                            <v-list>
                              <v-list-item
                                v-for="(item1, index) in items_status"
                                :key="index"
                              >
                                <v-list-item-title @click="changeChiTieuStatus(item, item1)">
                                  {{ item1.title }}
                                </v-list-item-title>
                              </v-list-item>
                            </v-list>
                          </v-menu>
                        </v-col>
                        <v-col
                          cols="3"
                          class="pr-1 pb-0 pt-0 text-right"
                          style="color: #FF0000"
                        >
                          <strong>{{ formatPrice(item.so_tien, 0) }}</strong>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="12"
                          class="mt-0 mb-0 pt-0 pb-0"
                        >
                          Ngày GD: {{ moment(String(item.ngay_chi)).format("DD-MM-YYYY") }}
                        </v-col>
                      </v-row>
                    </v-col>
                  </v-row>
                </div>
                <v-divider class="dark-gray" />
              </template>
              <!-- left swipe side template and v-slot:left="{ item }" is the item clearly -->
              <!-- remove if you dont wanna have left swipe side  -->
              <!-- right swipe side template and v-slot:right"{ item }" is the item clearly -->
              <!-- remove if you dont wanna have right swipe side  -->
              <template v-slot:right="{ item }">
                <div
                  class="swipeout-action gray"
                >
                  <v-icon color="white">
                    mdi-trash
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                </div>
                <div
                  class="swipeout-action text-center red pa-4"
                  @click="confirmDeleteChiTieu(item)"
                >
                  <v-icon color="white">
                    mdi-close
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                  <!-- <i class="fa fa-heart"></i> -->
                </div>
              </template>
              <template v-slot:empty>
                <div>
                  <!-- change mockSwipeList to an empty array to see this slot in action  -->
                  list is empty ( filtered or just empty ) abc
                </div>
              </template>
            </swipe-list>
          </v-col>
        </v-row>
        <!-- total -->
        <!-- <v-col cols="12" class="order-fixed-footer mb-3 pb-0" style="height:50px; line-height:45px; bottom: 10px"> -->
        <v-row class="blue order-fixed-footer">
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0"
          >
            <strong
              style="height:35px; line-height:30px; vertical-align:middle"
            >
              Tổng chi
            </strong>
          </v-col>
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0 yellow"
          >
            <strong>
              <a
                class="font-size: 30pt"
                style="height:35px; line-height:30px; vertical-align:middle"
                @click="showTotal"
              >
                {{
                  formatPrice(
                    this.totals,
                    0
                  )
                }}
              </a>
            </strong>
          </v-col>
        </v-row>
        <v-row>
          <dialogConfirm
            ref="dialogConfirm"
            :v-model="dialogConfirm"
            :title="titleConfirm"
            :content="contentConfirm"
            @select-ok="deleteChiTieu()"
          />
        </v-row>
        <v-row>
          <chiTieuTotal
            ref="chiTieuTotal"
            :v-model="chiTieuTotalDialog"
          />
        </v-row>
        <!-- </v-col> -->
      </v-tab-item>
      <!-- Chờ thanh toán -->
      <v-tab-item class="tab-item-list_ip pl-3">
        <v-row>
          <v-col
            cols="12"
            class="pl-3 mb-1"
          >
            <v-text-field
              v-model="search"
              label="Tìm kiếm"
              class="pa-0 ma-0 mt-0 mr-4"
              single-line
              hide-details=""
              @input="filterName('CTT')"
            />
          </v-col>
          <v-col
            cols="12"
            class="pl-4 pr-6 ver-scroll"
          >
            <swipe-list
              ref="list"
              class="card lst-items"
              :disabled="!enabled"
              :items="chiTieuCTTList"
              item-key="id"
              @swipeout:click="itemClick"
            >
              <template
                v-slot="{ item, index, revealLeft, revealRight, close }"
              >
                <div class="card-content">
                  <v-row>
                    <v-col
                      cols="12"
                      md="12"
                      class="pt-1 pb-0 pr-6"
                    >
                      <v-row>
                        <v-col
                          cols="12"
                          md="12"
                          class="pr-1 pt-1 pb-1"
                        >
                          <!-- style content how ever you like -->
                          <a
                            href="/kinhte/chitieuPageDetail"
                            style="text-decoration: none;"
                          >
                            <h4>{{ item.noi_dung }}</h4>
                          </a>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="5"
                          class="pr-1 pb-0 pt-0"
                        >
                          {{ item.bank_code }} ({{ moment(String(item.ngay_chi)).format("DD-MM-YYYY") }})
                        </v-col>
                        <v-col
                          cols="4"
                          class="pr-1 pb-0 pt-0 text-right"
                          :style="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'color: #FF0000' : ''"
                        >
                          <v-menu offset-y>
                            <template v-slot:activator="{ on, attrs }">
                              <v-btn
                                :color="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'error' : 'primary'"
                                dark
                                v-bind="attrs"
                                class="rounded-10"
                                height="20px"
                                width="110px"
                                v-on="on"
                              >
                                {{ stsThanhToan.filter(sts => sts.id == item.status_nm).pop().name }}
                              </v-btn>
                            </template>
                            <v-list>
                              <v-list-item
                                v-for="(item1, index) in items_status"
                                :key="index"
                              >
                                <v-list-item-title @click="changeChiTieuStatus(item, item1)">
                                  {{ item1.title }}
                                </v-list-item-title>
                              </v-list-item>
                            </v-list>
                          </v-menu>
                        </v-col>
                        <v-col
                          cols="3"
                          class="pr-1 pb-0 pt-0 text-right"
                          style="color: #FF0000"
                        >
                          <strong>{{ formatPrice(item.so_tien, 0) }}</strong>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="3"
                          class="pr-1 pb-0 pt-0"
                        >
                          {{ item.ky_chi }}
                        </v-col>
                        <v-col
                          cols="6"
                          class="pr-1 pt-0 pb-1 text-right"
                        />
                      </v-row>
                    </v-col>
                  </v-row>
                </div>
                <v-divider class="dark-gray" />
              </template>
              <!-- left swipe side template and v-slot:left="{ item }" is the item clearly -->
              <!-- remove if you dont wanna have left swipe side  -->
              <!-- right swipe side template and v-slot:right"{ item }" is the item clearly -->
              <!-- remove if you dont wanna have right swipe side  -->
              <template v-slot:right="{ item }">
                <div
                  class="swipeout-action gray"
                >
                  <v-icon color="white">
                    mdi-trash
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                </div>
                <div
                  class="swipeout-action text-center red pa-4"
                  @click="confirmDeleteChiTieu(item)"
                >
                  <v-icon color="white">
                    mdi-close
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                  <!-- <i class="fa fa-heart"></i> -->
                </div>
              </template>
              <template v-slot:empty>
                <div>
                  <!-- change mockSwipeList to an empty array to see this slot in action  -->
                  list is empty ( filtered or just empty ) abc
                </div>
              </template>
            </swipe-list>
          </v-col>
        </v-row>
        <!-- total -->
        <!-- <v-col cols="12" class="order-fixed-footer mb-3 pb-0" style="height:50px; line-height:45px; bottom: 10px"> -->
        <v-row class="blue order-fixed-footer">
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0"
          >
            <strong
              style="height:35px; line-height:30px; vertical-align:middle"
            >
              Tổng chi
            </strong>
          </v-col>
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0 yellow"
          >
            <strong>
              <a
                class="font-size: 30pt"
                style="height:35px; line-height:30px; vertical-align:middle"
                @click="showTotal()"
              >
                {{
                  formatPrice(
                    this.totalTatToan,
                    0
                  )
                }}
              </a>
            </strong>
          </v-col>
        </v-row>
        <v-row>
          <dialogConfirm
            ref="dialogConfirm"
            :v-model="dialogConfirm"
            :title="titleConfirm"
            :content="contentConfirm"
            @select-ok="deleteChiTieu()"
          />
        </v-row>
        <v-row>
          <chiTieuTotal
            ref="chiTieuTotal"
            :v-model="chiTieuTotalDialog"
          />
        </v-row>
        <!-- </v-col> -->
      </v-tab-item>
      <!-- Chờ sao kê -->
      <v-tab-item class="tab-item-list_ip pl-3">
        <v-row>
          <!-- <v-col
            cols="12"
            class="d-inline-flex mb-2 pb-1 pt-1"
          >
            <v-checkbox
              v-model="bankChecked"
              value="HSBC"
              label="HSBC"
              color="red"
              class="pa-0 ma-0 ml-0 mt-3"
              hide-details
              @change="filterStatus()"
            />
            <v-checkbox
              v-model="bankChecked"
              label="SC BANK"
              value="SC BANK"
              color="red"
              class="pa-0 ma-0 ml-3 mt-3"
              hide-details
              @change="filterStatus()"
            />
            <v-checkbox
              v-model="bankChecked"
              label="CITI BANK"
              value="CITI BANK"
              color="red"
              class="pa-0 ma-0 ml-3 mt-3"
              hide-details
              @change="filterStatus()"
            />
          </v-col> -->
          <v-col
            cols="12"
            class="pl-3 mb-1"
          >
            <v-text-field
              v-model="searchCSK"
              label="Tìm kiếm"
              class="pa-0 ma-0 mt-0 mr-4 text-left"
              single-line
              hide-details=""
              align="left"
              @input="filterName('CSK')"
            />
          </v-col>
          <v-col
            cols="12"
            class="pl-4 pr-6 ver-scroll"
          >
            <swipe-list
              ref="list"
              class="card lst-items"
              :disabled="!enabled"
              :items="chiTieuCSKList"
              item-key="id"
              @swipeout:click="itemClick"
            >
              <template
                v-slot="{ item, index, revealLeft, revealRight, close }"
              >
                <div class="card-content">
                  <v-row>
                    <v-col
                      cols="12"
                      md="12"
                      class="pt-1 pb-0 pr-6"
                    >
                      <v-row>
                        <v-col
                          cols="12"
                          md="12"
                          class="pr-1 pt-1 pb-1"
                        >
                          <!-- style content how ever you like -->
                          <a
                            href="/kinhte/chitieuPageDetail"
                            style="text-decoration: none;"
                          >
                            <h4>{{ item.noi_dung }}</h4>
                          </a>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="4"
                          class="pr-1 pb-0 pt-0"
                        >
                          <v-menu offset-y>
                            <template v-slot:activator="{ on, attrs }">
                              <v-btn
                                :color="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'error' : 'primary'"
                                dark
                                v-bind="attrs"
                                :class="'rounded-10 full-width mb-1 ' + item.bank_code"
                                height="20px"
                                width="100%"
                                v-on="on"
                              >
                                {{ item.bank_code }} - {{ item.ky_chi }}
                              </v-btn>
                            </template>
                            <v-list>
                              <v-list-item
                                v-for="(item1, index) in items_ky_chi"
                                :key="index"
                              >
                                <v-list-item-title @click="changeKyChi(item, item1)">
                                  {{ item1.title }}
                                </v-list-item-title>
                              </v-list-item>
                            </v-list>
                          </v-menu>
                        </v-col>
                        <v-col
                          cols="5"
                          class="pr-1 pb-0 pt-0 text-right"
                          :style="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'color: #FF0000' : ''"
                        >
                          <v-menu offset-y>
                            <template v-slot:activator="{ on, attrs }">
                              <v-btn
                                :color="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'error' : 'primary'"
                                dark
                                v-bind="attrs"
                                class="rounded-10"
                                height="20px"
                                width="100%"
                                v-on="on"
                              >
                                {{ stsThanhToan.filter(sts => sts.id == item.status_nm).pop().name }}
                              </v-btn>
                            </template>
                            <v-list>
                              <v-list-item
                                v-for="(item1, index) in items_status"
                                :key="index"
                              >
                                <v-list-item-title @click="changeChiTieuStatus(item, item1)">
                                  {{ item1.title }}
                                </v-list-item-title>
                              </v-list-item>
                            </v-list>
                          </v-menu>
                        </v-col>
                        <v-col
                          cols="3"
                          class="pr-1 pb-0 pt-0 text-right"
                          style="color: #FF0000"
                        >
                          <strong>{{ formatPrice(item.so_tien, 0) }}</strong>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="12"
                          class="mt-0 mb-0 pt-0 pb-0"
                        >
                          Ngày GD: {{ moment(String(item.ngay_chi)).format("DD-MM-YYYY") }}
                        </v-col>
                      </v-row>
                    </v-col>
                  </v-row>
                </div>
                <v-divider class="dark-gray" />
              </template>
              <!-- left swipe side template and v-slot:left="{ item }" is the item clearly -->
              <!-- remove if you dont wanna have left swipe side  -->
              <!-- right swipe side template and v-slot:right"{ item }" is the item clearly -->
              <!-- remove if you dont wanna have right swipe side  -->
              <template v-slot:right="{ item }">
                <div
                  class="swipeout-action gray"
                >
                  <v-icon color="white">
                    mdi-trash
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                </div>
                <div
                  class="swipeout-action text-center red pa-4"
                  @click="confirmDeleteChiTieu(item)"
                >
                  <v-icon color="white">
                    mdi-close
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                  <!-- <i class="fa fa-heart"></i> -->
                </div>
              </template>
              <template v-slot:empty>
                <div>
                  <!-- change mockSwipeList to an empty array to see this slot in action  -->
                  list is empty ( filtered or just empty ) abc
                </div>
              </template>
            </swipe-list>
          </v-col>
        </v-row>
        <!-- total -->
        <!-- <v-col cols="12" class="order-fixed-footer mb-3 pb-0" style="height:50px; line-height:45px; bottom: 10px"> -->
        <v-row class="blue order-fixed-footer">
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0"
          >
            <strong
              style="height:35px; line-height:30px; vertical-align:middle"
            >
              Tổng chi
            </strong>
          </v-col>
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0 yellow"
          >
            <strong>
              <a
                class="font-size: 30pt"
                style="height:35px; line-height:30px; vertical-align:middle"
                @click="showTotal()"
              >
                {{
                  formatPrice(
                    totalCSK,
                    0
                  )
                }}
              </a>
            </strong>
          </v-col>
        </v-row>
        <v-row>
          <dialogConfirm
            ref="dialogConfirm"
            :v-model="dialogConfirm"
            :title="titleConfirm"
            :content="contentConfirm"
            @select-ok="deleteChiTieu()"
          />
        </v-row>
        <v-row>
          <chiTieuTotal
            ref="chiTieuTotal"
            :v-model="chiTieuTotalDialog"
          />
        </v-row>
        <!-- </v-col> -->
      </v-tab-item>
      <!-- ERROR-->
      <v-tab-item class="tab-item-list_ip pl-3">
        <v-row>
          <!-- <v-col
            cols="12"
            class="d-inline-flex mb-2 pb-1 pt-1"
          >
            <v-checkbox
              v-model="bankChecked"
              value="HSBC"
              label="HSBC"
              color="red"
              class="pa-0 ma-0 ml-0 mt-3"
              hide-details
              @change="filterStatus()"
            />
            <v-checkbox
              v-model="bankChecked"
              label="SC BANK"
              value="SC BANK"
              color="red"
              class="pa-0 ma-0 ml-3 mt-3"
              hide-details
              @change="filterStatus()"
            />
            <v-checkbox
              v-model="bankChecked"
              label="CITI BANK"
              value="CITI BANK"
              color="red"
              class="pa-0 ma-0 ml-3 mt-3"
              hide-details
              @change="filterStatus()"
            />
          </v-col> -->
          <v-col
            cols="12"
            class="pl-3 text-right mb-1"
          >
            <v-text-field
              v-model="search"
              label="Tìm kiếm"
              class="pa-0 ma-0 mt-0 mr-4"
              single-line
              hide-details=""
              @input="filterName('ERR')"
            />
          </v-col>
          <v-col
            cols="12"
            class="pl-4 pr-6"
          >
            <swipe-list
              ref="list"
              class="card lst-items"
              :disabled="!enabled"
              :items="chiTieuErList"
              item-key="id"
              @swipeout:click="itemClick"
            >
              <template
                v-slot="{ item, index, revealLeft, revealRight, close }"
              >
                <div class="card-content">
                  <v-row>
                    <v-col
                      cols="12"
                      md="12"
                      class="pt-1 pb-0 pr-6"
                    >
                      <v-row>
                        <v-col
                          cols="12"
                          md="12"
                          class="pr-1 pt-1 pb-1"
                        >
                          <!-- style content how ever you like -->
                          <a
                            href="/kinhte/chitieuPageDetail"
                            style="text-decoration: none;"
                          >
                            <h4>{{ item.noi_dung }}</h4>
                          </a>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="5"
                          class="pr-1 pb-0 pt-0"
                        >
                          {{ item.bank_code }} ({{ moment(String(item.ngay_chi)).format("DD-MM-YYYY") }})
                        </v-col>
                        <v-col
                          cols="4"
                          class="pr-1 pb-0 pt-0 text-right"
                          :style="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'color: #FF0000' : ''"
                        >
                          <v-menu offset-y>
                            <template v-slot:activator="{ on, attrs }">
                              <v-btn
                                :color="item.status_nm == 'FAIL'||item.status_nm == 'NX' ? 'error' : 'primary'"
                                dark
                                v-bind="attrs"
                                class="rounded-10"
                                height="20px"
                                width="110px"
                                v-on="on"
                              >
                                {{ stsThanhToan.filter(sts => sts.id == item.status_nm).pop().name }}
                              </v-btn>
                            </template>
                            <v-list>
                              <v-list-item
                                v-for="(item1, index) in items_status"
                                :key="index"
                              >
                                <v-list-item-title @click="changeChiTieuStatus(item, item1)">
                                  {{ item1.title }}
                                </v-list-item-title>
                              </v-list-item>
                            </v-list>
                          </v-menu>
                        </v-col>
                        <v-col
                          cols="3"
                          class="pr-1 pb-0 pt-0 text-right"
                          style="color: #FF0000"
                        >
                          <strong>{{ formatPrice(item.so_tien, 0) }}</strong>
                        </v-col>
                      </v-row>
                      <v-row>
                        <v-col
                          cols="3"
                          class="pr-1 pb-0 pt-0"
                        >
                          {{ item.ky_chi }}
                        </v-col>
                        <v-col
                          cols="6"
                          class="pr-1 pt-0 pb-1 text-right"
                        />
                      </v-row>
                    </v-col>
                  </v-row>
                </div>
                <v-divider class="dark-gray" />
              </template>
              <!-- left swipe side template and v-slot:left="{ item }" is the item clearly -->
              <!-- remove if you dont wanna have left swipe side  -->
              <!-- right swipe side template and v-slot:right"{ item }" is the item clearly -->
              <!-- remove if you dont wanna have right swipe side  -->
              <template v-slot:right="{ item }">
                <div
                  class="swipeout-action gray"
                >
                  <v-icon color="white">
                    mdi-trash
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                </div>
                <div
                  class="swipeout-action text-center red pa-4"
                  @click="confirmDeleteChiTieu(item)"
                >
                  <v-icon color="white">
                    mdi-close
                  </v-icon>
                  <!-- place icon here or what ever you want -->
                  <!-- <i class="fa fa-heart"></i> -->
                </div>
              </template>
              <template v-slot:empty>
                <div>
                  <!-- change mockSwipeList to an empty array to see this slot in action  -->
                  list is empty ( filtered or just empty ) abc
                </div>
              </template>
            </swipe-list>
          </v-col>
        </v-row>
        <!-- total -->
        <!-- <v-col cols="12" class="order-fixed-footer mb-3 pb-0" style="height:50px; line-height:45px; bottom: 10px"> -->
        <v-row class="blue order-fixed-footer">
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0"
          >
            <strong
              style="height:35px; line-height:30px; vertical-align:middle"
            >
              Tổng chi
            </strong>
          </v-col>
          <v-col
            cols="6"
            class="text-center mt-0 pt-0 mb-0 pb-0 yellow"
          >
            <strong>
              <a
                class="font-size: 30pt"
                style="height:35px; line-height:30px; vertical-align:middle"
                @click="showTotal()"
              >
                {{
                  formatPrice(
                    this.totalCSK,
                    0
                  )
                }}
              </a>
            </strong>
          </v-col>
        </v-row>
        <v-row>
          <dialogConfirm
            ref="dialogConfirm"
            :v-model="dialogConfirm"
            :title="titleConfirm"
            :content="contentConfirm"
            @select-ok="deleteChiTieu()"
          />
        </v-row>
        <v-row>
          <chiTieuTotal
            ref="chiTieuTotal"
            :v-model="chiTieuTotalDialog"
          />
        </v-row>
        <!-- </v-col> -->
      </v-tab-item>
      <!-- DU CHI-->
      <v-tab-item class="tab-item-list_ip pl-3">
        DEVELOP - DU CHI
      </v-tab-item>
    </v-tabs-items>
  </v-tabs>
  <!-- </v-row> -->

  <!-- end desktop -->

  <!-- mobile-->

  <!-- end mobile-->
  <!-- <v-row>
      <addProduct
        ref="addProductDialog"
        :v-model="dialog"
        @refeshList="getChiTieus"
      />
    </v-row>
    <v-row>
      <addChiTieu
        ref="addChiTieu"
        :v-model="dialogChiTieu"
        @refeshList="getChiTieus"
      />
    </v-row>

    <v-row>
      <updateStatus
        ref="refUpdateStatus"
        :v-model="dialogChiTieu"
        @refeshList="getChiTieus"
      />
    </v-row>

     -->

  <!-- <v-row>
      <dialogAlert
        ref="dialogAlert"
        :v-model="dialogAlert"
      />
    </v-row> -->

  <!-- <v-row>
      <snackbarNew
        ref="snackNotification"
        :v-model="snackbar"
      />
    </v-row> -->

  <!-- <v-row>
      <addChiTieu
        ref="addChiTieu"
        :v-model="dialogChiTieu"
        @refeshList="getChiTieus()"
      />
    </v-row> -->
</template>

<script>
  import axios from 'axios'
  import moment from 'moment'
  import 'vue-swipe-actions/dist/vue-swipe-actions.css'
  // import { NumericInput } from 'numeric-keyboard'
  import config from '@/config/config'
  // import addProduct from '../sales/add-product'
  // import addChiTieu from '../kinhte/add-chitieu'
  import chiTieuTotal from '@/views/kinhte/chi-tieu-total'
  // import updateStatus from '../kinhte/update-status-chitieu'

  import dialogConfirm from '@/views/dashboard/component/dialogConfirm'
  // import dialogAlert from '../dashboard/component/dialogAlert'
  // import snackbarNew from '../dashboard/component/snackbarNew'
  // import orderDetail from '../sales/sale-order-detail'
  import { SwipeList, SwipeOut } from 'vue-swipe-actions'

  export default {
    layout: 'SaleStorage',
    components: {
      // materialCard,
      // ProgressBar,
      // addProduct,
      // addChiTieu,
      dialogConfirm,
      // dialogAlert,
      // snackbarNew,
      // orderDetail,
      chiTieuTotal,
      // updateStatus,
      // NumericInput,
      // VueEllipseProgress
      SwipeOut,
      SwipeList,
    },
    filters: {
      moment: function (date) {
        return moment(date).format('MMMM Do YYYY, h:mm:ss a')
      },
    },
    props: {
      // change the layout of keyboard
      layout: {
        type: [String, Array],
        default: 'number',
      },
      // change the label of keyboard enter key, use iconfont for icon.
      entertext: {
        type: String,
        default: 'enter',
      },
    },
    data () {
      return {
        // Tab
        tab: null,
        tab_confirm_disabled: true,
        tabs: [
          { name: 'Tất cả', index: 0 },
          { name: 'Chờ T. Toán', index: 1 },
          { name: 'Chờ S.Kê', index: 2 },
          // { name: 'Fail', color: 'error', index: 4 },
          // { name: 'Dự chi', index: 3 },
        ],
        search: '',
        searchCSK: '',
        amount: '',
        dialog: false,
        singleSelect: false,
        selected: [],
        dialogStatus: false,
        dialogChiTieu: false,
        dialogConfirm: false,
        dialogAlert: false,
        chiTieuTotalDialog: false,
        pageCount: 0,
        itemPerPage: 5,
        bankList: [],
        kyChiSeleted: [],
        bankSeleted: [],
        statusSeleted: [],
        bankChecked: ['HSBC', 'SC BANK', 'CITI BANK'],
        chiTieuList: [],
        chiTieuCSKList: [], // Cho sao ke
        chiTieuCTTList: [], // Cho Thanh toan
        chiTieuDCList: [], // Du Chi
        chiTieuErList: [], // GD Loi
        order_customer_type: 'KL',
        knowledge: 30,
        orderDetail: false,
        show: false,
        color: null,
        colors: ['purple', 'info', 'success', 'warning', 'error'],
        top: true,
        bottom: false,
        left: false,
        right: false,
        snackbar: false,
        titleConfirm: 'Xác nhận',
        contentConfirm: 'Bạn có chắc chắn muốn xóa đơn hàng này không?',
        filterArr: [],
        saleOrder: {
          order_customer_type: 'KL',
        },
        customerTypeModal: {
          ALL: false,
          KS: false,
          KL: false,
          CTV: false,
        },
        snackbarContent:
          'Đã có lỗi hệ thống xảy ra, vui lòng kiểm tra lại hoặc liên hệ với admin!!!',
        pagination: {
          ascending: true,
          sortBy: 'name',
          rowsPerPage: 10,
          page: 1,
        },
        headers: [
          {
            text: '#',
            sortable: false,
            width: '20px',
            format: (v) => v && String(v),
          },
          {
            text: 'NỘI DUNG CHI',
            sortable: false,
            align: 'left',
            value: 'noi_dung',
          },
          {
            text: 'SỐ TIỀN',
            sortable: false,
            value: 'so_tien',
            align: 'right',
            format: (v) => v && Number(v).toFixed(2),
          },
          {
            text: 'NGÀY CHI',
            sortable: false,
            value: 'ngay_chi',
            align: 'right',
            format: (v) => v && moment(String(v)).format('DD/MM/YYYY hh:mm'),
          },
          {
            text: 'KỲ-NĂM',
            sortable: false,
            value: 'ky_chi',
            align: 'center',
            format: (v) => v && Number(v).toFixed(2),
          },
          {
            text: 'BANK',
            sortable: false,
            value: 'bank_code',
          },
          {
            text: 'Trạng thái',
            value: 'status_nm',
            align: 'left',
          },
          {
            text: 'Trạng thái',
            value: 'status',
            align: 'center',
          },
          {
            text: 'Còn lại',
            sortable: false,
            align: 'right',
            value: 'balance_in_month',
          },
        ],
        items: [],
        itemBankFilter: [],
        itemDetail: [],
        chiTieuSelected: [],
        lstStatus: [
          {
            id: 'DCHI',
            name: 'Dự Chi',
          },
          {
            id: 'CHM',
            name: 'Cho Mượn',
          },
          {
            id: 'DTT',
            name: 'Đã Tất Toán',
          },
          {
            id: 'DN',
            name: 'Dư Nợ',
          },
          {
            id: 'DTCSK',
            name: 'Đã Trả / CSK',
          },
          {
            id: 'DTN',
            name: 'Đã trả nợ',
          },
          {
            id: 'NHT',
            name: 'Nhận tiền',
          },
          {
            id: 'HTN',
            name: 'Hoàn Tiền',
          },
          {
            id: 'MNT',
            name: 'Mượn Tiền',
          },
          {
            id: 'FAIL',
            name: 'Giao dịch lỗi',
          },
          { id: 'TG', name: 'Trả Góp' },
        ],
        items_status: [
          { code: 'CSK', title: 'Chờ sao kê' },
          { code: 'CTT', title: 'Chờ thanh toán' },
          { code: 'NX', title: 'Nợ xấu' },
          { code: 'DTCSK', title: 'ĐT-CSK' },
          { code: 'TG', title: 'Trả Góp' },
        ],
        items_ky_chi: [
          { code: '102020', title: '102020' },
          { code: '112020', title: '112020' },
          { code: '122020', title: '122020' },
          { code: '12021', title: '12021' },
          { code: '22021', title: '22021' },
          { code: '32021', title: '32021' },
          { code: '42021', title: '42021' },
          { code: '52021', title: '52021' },
          { code: '62021', title: '62021' },
          { code: '72021', title: '72021' },
          { code: '82021', title: '82021' },
          { code: '92021', title: '92021' },
          { code: '102021', title: '102021' },
          { code: '112021', title: '112021' },
          { code: '122021', title: '122021' },

        ],
        // changeKyChi
        lstMucDich: [
          {
            id: 'KD',
            name: 'KINH DOANH',
          },
          {
            id: 'GD',
            name: 'GIA ĐÌNH',
          },
          {
            id: 'CN',
            name: 'CÁ NHÂN',
          },
          {
            id: 'CM',
            name: 'CHO MƯỢN',
          },
          {
            id: 'GDAE',
            name: 'GĐ-ANH EM',
          },
        ],
        stsThanhToan: [
          {
            id: 'DN',
            name: 'Dư nợ',
          },
          {
            id: 'NX',
            name: 'Nợ xấu',
          },
          {
            id: 'CTT',
            name: 'Chờ thanh toán',
          },
          {
            id: 'CSK',
            name: 'Chờ sao kê',
          },
          {
            id: 'FAIL',
            name: 'GD lỗi',
          },
          {
            id: 'DTCSK',
            name: 'ĐT-CSK',
          },
          { id: 'TG', name: 'Trả Góp' },
        ],
        lstKyChi: [
          '102020',
          '112020',
          '122020',
          '12021',
          '22021',
          '32021',
          '42021',
          '52021',
          '62021',
          '72021',
          '82021',
          '92021',
          '102021',
          '112021',
          '122021',
        ],

        chitieu: {},
        lstBank: [],
        originListChiTieu: [],
        // Swipe
        enabled: true,
        mockSwipeList: [
          {
            id: 0,
            title: 'Some title',
            description: 'some description',
          },
          {
            id: 1,
            title: 'Some title',
            description: 'some description',
          },
          {
            id: 2,
            title: 'Some title',
            description: 'some description',
          },
        ],
      // End Swipe
      }
    },
    computed: {
      //   ...bankState("bank", {
      //     bankList: "bankList",
      // })
      totals () {
        let sums = 0
        for (var idx in this.chiTieuList) {
          sums += parseFloat(this.chiTieuList[idx].so_tien)
        }
        return sums
      },
      //  chiTieuCSKList: [], // Cho sao ke
      //   chiTieuCTTList: [], // Cho Thanh toan
      //   chiTieuDCList: [], // Du Chi
      //   chiTieuErList: [], // GD Loi
      totalTatToan () {
        let sums = 0
        for (var idx in this.chiTieuCTTList) {
          sums += parseFloat(this.chiTieuCTTList[idx].so_tien)
        }
        return sums
      },
      totalCSK () {
        let sums = 0
        for (var idx in this.chiTieuCSKList) {
          sums += parseFloat(this.chiTieuCSKList[idx].so_tien)
        }
        return sums
      },
      totalDC () {
        let sums = 0
        for (var idx in this.chiTieuDCList) {
          sums += parseFloat(this.chiTieuDCList[idx].so_tien)
        }
        return sums
      },
      totalEr () {
        let sums = 0
        for (var idx in this.chiTieuErList) {
          sums += parseFloat(this.chiTieuErList[idx].so_tien)
        }
        return sums
      },
      // filteredItems: function () {
      //   var self = this
      //   return self.chiTieuList.filter(function (item) {
      //     return item.indexOf(self.searchQuery) !== -1
      //   })
      // },
    }, // end method
    mounted () {
      // this.getBanks()
      this.getChiTieus()
    },
    created () {
      this.filterStatus()
      this.getKyTinh('HSBC', new Date(), new Date().getDate())
      this.getKyTinh('SC BANK', new Date(), new Date().getDate())
      this.getKyTinh('CitiBank', new Date(), new Date().getDate())
      console.log('config', config)
    },
    methods: {
      isMobile () {
        if (
          /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
            navigator.userAgent,
          )
        ) {
          return true
        } else {
          return false
        }
      },
      addChiTieu () {
        // this.$router.push({ name: 'CHI TIẾT CHI TIÊU' })
        this.$refs.addChiTieu.chiTieuModel.so_tien = 0
        this.$refs.addChiTieu.chiTieuModel.status = 'DN'
        this.$refs.addChiTieu.chiTieuModel.noi_dung = []
        this.$refs.addChiTieu.chiTieuModel.ghi_chu = ''

        //  this.$refs.addChiTieu.dialog = true
        this.$router.push({ name: 'Thêm chi tiêu' })
      },
      gotoPage (page) {
        this.$router.push({ name: page })
      },
      async getBanks () {
        const seft = this
        await axios
          .get(config.API_FAMILY + '/api/banks')
          .then(function (response) {
            // this.insertChitieuDialog.dialog = false;
            console.log(response.data.data)
            seft.lstBank = response.data.data
          })
      },
      async getChiTieus () {
        const self = this
        console.log('getChiTieus')
        console.log(this.saleOrder)

        var orderType = []
        if (!this.customerTypeModal.ALL) {
          if (this.customerTypeModal.KS) {
            orderType.push("'KS'")
          }
          if (this.customerTypeModal.KL) {
            orderType.push("'KL'")
          }
          if (this.customerTypeModal.CTV) {
            orderType.push("'CTV'")
          }
        } else {
          orderType.push("'KL'")
          orderType.push("'KS'")
          orderType.push("'CTV'")
        }
        console.log(orderType.toString())
        this.saleOrder.order_customer_type = orderType.join()
        await axios
          .get(config.API_FAMILY + '/api/chitieus')
          .then(function (response) {
            // self.chiTieuList = response.data.data
            self.originListChiTieu = response.data.data
            // self.originListChiTieu = self.chiTieuList
            // Dư nọ - chờ sao kê
            self.chiTieuList = self.originListChiTieu.filter(function (item) {
              if (item.status === 'DN') return true
            })

            // Cho Thanh toan
            self.chiTieuCTTList = self.originListChiTieu.filter(function (item) {
              if (item.status_nm === 'CTT') return true
            })
            // console.log("chiTieuCTTList", self.chiTieuCTTList)
            // Du Chi
            self.chiTieuCSKList = self.originListChiTieu.filter(function (item) {
              if (item.status_nm === 'CSK') return true
            })

            // Loi
            self.chiTieuErList = self.originListChiTieu.filter(function (item) {
              if (item.status === 'FAIL') return true
            })

            self.totalChiTieu()
            self.filterStatus()
          // console.log(JSON.stringify(self.chiTieuList))
          })
      },
      confirmDeleteChiTieu (detail) {
        // this.$refs.dialogConfirm.title = 'Xác nhận'
        // this.$refs.dialogConfirm.text = 'Bạn có chắc chắn muốn xóa đơn hàng này không?'
        if (detail != undefined && detail != null) {
          this.chiTieuSelected = detail
        }
        this.$refs.dialogConfirm.dialog = true
      },

      async deleteChiTieu () {
        let itemDelete = this.selected
        if (this.chiTieuSelected != undefined && this.chiTieuSelected != null) {
          itemDelete = this.chiTieuSelected
        }
        console.log('a')
        console.log(itemDelete)
        if (itemDelete !== undefined && itemDelete != null) {
          const seft = this
          const jsonReq = JSON.stringify(itemDelete)

          await axios
            .post(config.API_FAMILY + '/api/deleteChiTieu', JSON.parse(jsonReq))
            .then(function (response) {
              console.log('succuess')
              var data = response.data.data
              if (data !== undefined && data != null) {
              }
              seft.getChiTieus()

              seft.$refs.dialogConfirm.dialog = false
            })
            .catch((error) => {
              console.log(error)
            })
        }
      },

      updateSts (obj, type) {
        this.$refs.refUpdateStatus.dialog = true
      // let self = this;
      // console.log("UPDATE STATUS")
      // console.log(this.kyChiSeleted)
      // console.log(this.bankSeleted)

      // console.log("END UPDATE STATUS")
      // if('CSK' == type){
      //   //Chốt sao kê

      //   if (this.bankSeleted != undefined && this.bankSeleted.length > 0
      //       && this.kyChiSeleted != undefined && this.kyChiSeleted.length > 0) {

      //     let reqBank = [];
      //     for (var key in this.bankSeleted) {
      //       reqBank.push(this.bankSeleted[key].name)
      //     }
      //     let params = {
      //       ghi_chu: "",
      //       status: "DTCSK",
      //       bank_code: reqBank ,
      //       ky_chi: this.kyChiSeleted,

      //     }
      //     await axios
      //     .post(config.API_FAMILY + '/api/updateStatusByBank', params)
      //     .then(function (response) {
      //       console.log("succuess")
      //       var data = response.data.data
      //       if (data !== undefined && data != null) {
      //       }
      //       self.getChiTieus()

      //       // seft.$refs.dialogConfirm.dialog = false
      //     }).catch((error) => {
      //       console.log(error)
      //     })
      //   }
      // }
      },
      showTotal () {
        this.$refs.chiTieuTotal.dialog = true
      },
      formatPrice (value, tofix) {
        const val = (value / 1).toFixed(tofix).replace(',', '.')
        return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',')
      },
      getKyTinh (sbankObj, sDate, sDay) {
        var kyTinh = ''
        var deltaMonth = 1
        var month = sDate.getMonth()
        var deltaYear = 0
        if (sbankObj != undefined && sbankObj != null) {
          var sBanName = sbankObj.name
          if (
            ((sBanName == 'HSBC' || sBanName == 'SHINHAN') && sDay + 1 >= 21) ||
            (sBanName == 'SC BANK' && sDay + 1 >= 19) ||
            (sBanName == 'CitiBank' && sDay + 1 >= 27)
          ) {
            deltaMonth = 2
          } else {
            deltaMonth = 1
          }

          if (sDate.getMonth() + deltaMonth > 12) {
            deltaYear = 1
            kyTinh = '1' + (sDate.getFullYear() + deltaYear).toString()
          } else {
            kyTinh =
              (month + deltaMonth).toString() +
              (sDate.getFullYear() + deltaYear).toString()
          }
        }
        console.log('year:' + sDate.getFullYear())
        console.log('kyTinh-' + sBanName + ':' + kyTinh)
        return kyTinh
      },
      async onTabChange (clickedTab) {
        await this.$emit('onOrderTab', clickedTab)
        this.currentTab = clickedTab
        await this.$nextTick()
        if (!this.allowTabChange) this.currentTab = this.previousTab
        else this.previousTab = this.currentTab
        // TO GET TAB DATA OF CLICKED AND CURRENT TAB
        this.currentTabObject = this.tabs[this.currentTab]
        this.selectedTabObject = this.tabs[clickedTab]
        // console.log("onTabCHange");
        console.log('clickedTab', clickedTab)
      // this.tabs[3].disabled = !this.validateBiz()
      },
      async totalChiTieu () {
        const self = this
        await axios
          .get(config.API_FAMILY + '/api/totalChiTieu')
          .then(function (response) {
            self.chitieu = response.data.data
            console.log(JSON.stringify(self.chitieu))
          })
      },
      moment: function (date) {
        return moment(date)
      },
      date: function (date) {
        return moment(date).format('MMMM Do YYYY, h:mm:ss a')
      },

      snackbaralert (...args) {
        if (args === undefined || args < 3) {
          this.$refs.snackNotification.color = this.colors[4]
          this.$refs.snackNotification.snackbarContent =
            'Đã có lỗi xảy ra, vui lòng liên hệ admin'
          this.$refs.snackNotification.snackbar = true
        } else {
          this.$refs.snackNotification.color = args[0]
          this.$refs.snackNotification.snackbarContent = args[1]
          this.$refs.snackNotification.snackbar = true
        }
      },
      async filterName (key) {
        const seft = this
        if (key === 'CSK') {
          var newListBK = this.originListChiTieu.filter(function (item) {
            if (item.status_nm === 'CSK') return true
          })
          newListBK = newListBK.filter(function (item) {
            // Filter bank
            if (item.noi_dung.toLowerCase().includes(seft.searchCSK.toLowerCase())) return true
            return false
          })
          this.chiTieuCSKList = newListBK
        } else {
          var newList = this.originListChiTieu
          newList = newList.filter(function (item) {
            // Filter bank
            if (item.noi_dung.toLowerCase().includes(seft.search.toLowerCase())) return true
            return false
          })
          this.chiTieuList = newList
        
        }
      },
      async filterStatus () {
        console.log('fiter')
        const seft = this
        var newList = this.originListChiTieu
        // // Condition
        // var idx = this.bankChecked.indexOf(value)
        // if (idx === -1) {
        //   this.bankChecked.push(value)
        // } else {
        //   if (!filter) {
        //     this.bankChecked.splice(idx, 1)
        //   }
        // }

        console.log(this.bankChecked)
        // if (filter && value !== '') {

        // }
        if (this.bankChecked === undefined || this.bankChecked.length === 0) {
          // this.getChiTieus()
        } else {
          newList = newList.filter(function (item) {
            // Filter bank
            for (var key in seft.bankChecked) {
              if (item.bank_code === seft.bankChecked[key]) return true
            }
            return false
          })
          this.chiTieuList = newList
        }
      // this.chiTieuList = newList
      // let sums = 0
      // for (var idx in this.chiTieuList) {
      //   sums += parseFloat(this.chiTieuList[idx].so_tien)
      // }
      // this.totals = sums
      },
      itemClick (e) {
        console.log(e, 'item click 44')
      },
      changeKyChi (chitieu, status) {
        console.log('changeKyChi')
      },
      changeChiTieuStatus (chitieu, status) {
        console.log('changeChiTieuStatus')
        const _chitieu = this.chiTieuList.filter(function (item, idx) {
          console.log('idx', idx)
          if (item.id == chitieu.id) {
            item.status_nm = status.code
            var status_cd = status.code

            // eslint-disable-next-line camelcase
            const bank_code = [item.bank_code]
            // eslint-disable-next-line camelcase
            const ky_chi = [item.ky_chi]
            const id = item.id
            if (status.code === 'CSK' || status.code === 'CTT' || status.code === 'NX') {
              // eslint-disable-next-line camelcase
              status_cd = 'DN'
            }
            let ghi_chu = 'Cập nhật trạng thái từ ' + item.status_nm + ' - ' + status.code
            if (status.code === 'TG') {
              ghi_chu = 'Chuyển đổi sang trả góp'
            }
            const params = {
              ghi_chu: ghi_chu,
              status: status_cd,
              bank_code: bank_code,
              ky_chi: ky_chi,
              so_tien: chitieu.so_tien,
              id: id,

            }

            axios
              .post(config.API_FAMILY + '/api/updateStatusByBank', params)
              .then(function (response) {
                console.log('succuess')
                var data = response.data.data
                if (data !== undefined && data != null) {
                }
                self.getChiTieus()

              // seft.$refs.dialogConfirm.dialog = false
              }).catch((error) => {
                console.log(error)
              })
          }
        })
        console.log(_chitieu)
        console.log(status)
      },
    },
  }
</script>
<style scroped>
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
table tr td {
  padding: 0 8px !important;
}

.table-list table thead tr th {
  background-color: #2196f3 !important;
  color: #ffffff;
}

.primary.HSBC{
  background-color: firebrick !important;
}
.SC.BANK{
  background-color: green !important;
}

.primary.CITI.BANK{
  background-color: #2196f3 !important;
}
/* .table-list table {
  border-collapse: collapse !important;
  border: 1px solid gray !important;
} */
</style>
